package com.steering.mes.zgmil.entity;

/**
 * 数据库表QCM_ZG_JUDGE_INPUT_RECORD所对应的实体类（生成工具：代码生成器3.0）
 * @author PC-20160918TFRG   date 2020-10-16
 */
public class QcmZgJudgeInputRecordEntity implements java.io.Serializable {
    /**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	/**
     * 申请判定单号
     */
    private String jugdeApplyCode = "";
    /**
     * 炉号
     */
    private String judgeStoveNo = "";
    /**
     * 批号
     */
    private String batchNo = "";
    /**
     * 组号
     */
    private String batchGroudNo = "";
    /**
     * 工序代码(A\B\C\D.....)
     */
    private String processCode = "";
    /**
     * 产线代码
     */
    private String plineCode = "";
    /**
     * 支数
     */
    private String actCount = "";
    /**
     * 实重
     */
    private String actWeight = "";
    /**
     * 理论重量
     */
    private String actTheoryWeight = "";
    /**
     * 原投料量
     */
    private String inputWeight = "";
    /**
     * 原投料支数(单倍坯)
     */
    private String inputCount = "";
    /**
     * 调整后投料量
     */
    private String inputWeight2 = "";
    /**
     * 调整后投料支数(单倍坯)
     */
    private String inputCount2 = "";
    /**
     * 结转年月
     */
    private String balYearMonth = "";
    /**
     * 申请判定顺序号
     */
    private String jugdeApplySequeno = "";
    /**
     * 操作人
     */
    private String colName = "";
    /**
     * 操作时间
     */
    private String colTime = "";
    /**
     * 生产产线名称
     */
    private String plineName = "";
    /**
     * 质量分组号（同申判单号、炉、批、组的前期下，当表面、公差、成分、理化、控伤、水压、加工七大项的组合值不一样时，组号必须分开）
     */
    private String qualityGroup = "";
    /**
     * 材料去向代码
     */
    private String matGowhereCode = "";
    /**
     * 材料去向
     */
    private String matGowhereName = "";
    /**
     * 主键
     */
    private String colId = "";

    /**
     * 申请判定单号
     * @return value
     */
    public String getJugdeApplyCode() {
        return jugdeApplyCode;
    }

    /**
     * 申请判定单号
     * @param jugdeApplyCode value
     */
    public void setJugdeApplyCode(String jugdeApplyCode) {
        this.jugdeApplyCode = jugdeApplyCode;
    }

    /**
     * 炉号
     * @return value
     */
    public String getJudgeStoveNo() {
        return judgeStoveNo;
    }

    /**
     * 炉号
     * @param judgeStoveNo value
     */
    public void setJudgeStoveNo(String judgeStoveNo) {
        this.judgeStoveNo = judgeStoveNo;
    }

    /**
     * 批号
     * @return value
     */
    public String getBatchNo() {
        return batchNo;
    }

    /**
     * 批号
     * @param batchNo value
     */
    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    /**
     * 组号
     * @return value
     */
    public String getBatchGroudNo() {
        return batchGroudNo;
    }

    /**
     * 组号
     * @param batchGroudNo value
     */
    public void setBatchGroudNo(String batchGroudNo) {
        this.batchGroudNo = batchGroudNo;
    }

    /**
     * 工序代码(A\B\C\D.....)
     * @return value
     */
    public String getProcessCode() {
        return processCode;
    }

    /**
     * 工序代码(A\B\C\D.....)
     * @param processCode value
     */
    public void setProcessCode(String processCode) {
        this.processCode = processCode;
    }

    /**
     * 产线代码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 产线代码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 支数
     * @return value
     */
    public String getActCount() {
        return actCount;
    }

    /**
     * 支数
     * @param actCount value
     */
    public void setActCount(String actCount) {
        this.actCount = actCount;
    }

    /**
     * 实重
     * @return value
     */
    public String getActWeight() {
        return actWeight;
    }

    /**
     * 实重
     * @param actWeight value
     */
    public void setActWeight(String actWeight) {
        this.actWeight = actWeight;
    }

    /**
     * 理论重量
     * @return value
     */
    public String getActTheoryWeight() {
        return actTheoryWeight;
    }

    /**
     * 理论重量
     * @param actTheoryWeight value
     */
    public void setActTheoryWeight(String actTheoryWeight) {
        this.actTheoryWeight = actTheoryWeight;
    }

    /**
     * 原投料量
     * @return value
     */
    public String getInputWeight() {
        return inputWeight;
    }

    /**
     * 原投料量
     * @param inputWeight value
     */
    public void setInputWeight(String inputWeight) {
        this.inputWeight = inputWeight;
    }

    /**
     * 原投料支数(单倍坯)
     * @return value
     */
    public String getInputCount() {
        return inputCount;
    }

    /**
     * 原投料支数(单倍坯)
     * @param inputCount value
     */
    public void setInputCount(String inputCount) {
        this.inputCount = inputCount;
    }

    /**
     * 调整后投料量
     * @return value
     */
    public String getInputWeight2() {
        return inputWeight2;
    }

    /**
     * 调整后投料量
     * @param inputWeight2 value
     */
    public void setInputWeight2(String inputWeight2) {
        this.inputWeight2 = inputWeight2;
    }

    /**
     * 调整后投料支数(单倍坯)
     * @return value
     */
    public String getInputCount2() {
        return inputCount2;
    }

    /**
     * 调整后投料支数(单倍坯)
     * @param inputCount2 value
     */
    public void setInputCount2(String inputCount2) {
        this.inputCount2 = inputCount2;
    }

    /**
     * 结转年月
     * @return value
     */
    public String getBalYearMonth() {
        return balYearMonth;
    }

    /**
     * 结转年月
     * @param balYearMonth value
     */
    public void setBalYearMonth(String balYearMonth) {
        this.balYearMonth = balYearMonth;
    }

    /**
     * 申请判定顺序号
     * @return value
     */
    public String getJugdeApplySequeno() {
        return jugdeApplySequeno;
    }

    /**
     * 申请判定顺序号
     * @param jugdeApplySequeno value
     */
    public void setJugdeApplySequeno(String jugdeApplySequeno) {
        this.jugdeApplySequeno = jugdeApplySequeno;
    }

    /**
     * 操作人
     * @return value
     */
    public String getColName() {
        return colName;
    }

    /**
     * 操作人
     * @param colName value
     */
    public void setColName(String colName) {
        this.colName = colName;
    }

    /**
     * 操作时间
     * @return value
     */
    public String getColTime() {
        return colTime;
    }

    /**
     * 操作时间
     * @param colTime value
     */
    public void setColTime(String colTime) {
        this.colTime = colTime;
    }

    /**
     * 生产产线名称
     * @return value
     */
    public String getPlineName() {
        return plineName;
    }

    /**
     * 生产产线名称
     * @param plineName value
     */
    public void setPlineName(String plineName) {
        this.plineName = plineName;
    }

    /**
     * 质量分组号（同申判单号、炉、批、组的前期下，当表面、公差、成分、理化、控伤、水压、加工七大项的组合值不一样时，组号必须分开）
     * @return value
     */
    public String getQualityGroup() {
        return qualityGroup;
    }

    /**
     * 质量分组号（同申判单号、炉、批、组的前期下，当表面、公差、成分、理化、控伤、水压、加工七大项的组合值不一样时，组号必须分开）
     * @param qualityGroup value
     */
    public void setQualityGroup(String qualityGroup) {
        this.qualityGroup = qualityGroup;
    }

    /**
     * 材料去向代码
     * @return value
     */
    public String getMatGowhereCode() {
        return matGowhereCode;
    }

    /**
     * 材料去向代码
     * @param matGowhereCode value
     */
    public void setMatGowhereCode(String matGowhereCode) {
        this.matGowhereCode = matGowhereCode;
    }

    /**
     * 材料去向
     * @return value
     */
    public String getMatGowhereName() {
        return matGowhereName;
    }

    /**
     * 材料去向
     * @param matGowhereName value
     */
    public void setMatGowhereName(String matGowhereName) {
        this.matGowhereName = matGowhereName;
    }

    /**
     * 主键
     * @return value
     */
    public String getColId() {
        return colId;
    }

    /**
     * 主键
     * @param colId value
     */
    public void setColId(String colId) {
        this.colId = colId;
    }
}
